import { axios } from '@/utils/request'

//  公告 列表  有分页
export const noticeUserList = (params) => {
  const url = `/noticeUser/queryLike/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
//  公告 详情
export const noticeUserDetail = (params) => {
  const url = `/notice/findById/${params.id}`
  return axios({
    url: url,
    method: 'get',
    headers: {
      'module': encodeURIComponent('公告详情')
    }
  })
}

// 获取通知消息未读数
export const getUnreadCount = params => {
  return axios({
    url: 'noticeUser/queryNotReadCount',
    method: 'post',
    headers: {
      'module': encodeURIComponent('未读消息数量统计')
    }
  })
}
// 设置已读消息
export const hasRead = id => {
  return axios({
    url: `noticeUser/setRead/${id}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('消息已读')
    }
  })
}
// 设置全部已读
export const setReadAllNotice = params => {
  return axios({
    url: `noticeUser/setReadAllNotice`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('全部已读')
    }
  })
}
// 消息公共权限设置列表
export const noticeUserBizQuery = (params) => {
  const url = `/noticeUserBiz/query`
  return axios({
    url: url,
    method: 'get',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
// 消息公共权限保存
export const noticeUserBizSave = (params) => {
  const url = `/noticeUserBiz/save`
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('保存')
    }
  })
}
