import { axios } from '@/utils/request'

//  采购退货列表  分页
export const purchaseReturnList = (params) => {
  const url = `/purchaseReturn/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('列表查询')
    }
  })
}
//  采购退货  新增
export const purchaseReturnSave = (params) => {
  return axios({
    url: '/purchaseReturn/save',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('新增')
    }
  })
}
//  采购退货 删除
export const purchaseReturnDel = (params) => {
  return axios({
    url: `/purchaseReturn/delete/${params.id}`,
    method: 'get',
    headers:{
      'module': encodeURIComponent('删除')
    }
  })
}
//  采购退货 详情 删除
export const purchaseReturnDelAll = (params) => {
  return axios({
    url: `/purchaseReturn/detail/deleteAll/${params.purchaseReturnSn}`,
    method: 'get',
    headers:{
      'module': encodeURIComponent('删除')
    }
  })
}
//  采购退货  提交
export const purchaseReturnSubmit = (params) => {
  return axios({
    url: '/purchaseReturn/submit',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('提交')
    }
  })
}
//  采购退货 详情
export const purchaseReturnDetail = (params) => {
  return axios({
    url: `/purchaseReturn/findById/${params.id}`,
    method: 'get',
    headers:{
      'module': encodeURIComponent('详情信息')
    }
  })
}
//  采购退货 详情  根据sn查
export const purchaseReturnDetailSn = (params) => {
  return axios({
    url: `/purchaseReturn/findBySn/${params.sn}`,
    method: 'get',
    headers:{
      'module': encodeURIComponent('详情信息')
    }
  })
}
//  采购退货 详情 选择产品 列表  分页
export const purchaseReturnPurchaseBillDetailList = (params) => {
  const url = `/purchaseReturn/detail/queryPurchaseBillDetailPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('可选产品列表')
    }
  })
}
//  采购退货 详情列表  分页
export const purchaseReturnDetailList = (params) => {
  const url = `/purchaseReturn/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('明细列表')
    }
  })
}
//  采购退货 详情 添加产品
export const purchaseReturnDetailSave = (params) => {
  return axios({
    url: '/purchaseReturn/detail/save',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('添加')
    }
  })
}
//  采购退货 详情 删除
export const purchaseReturnDetailDel = (params) => {
  return axios({
    url: `/purchaseReturn/detail/delete/${params.id}`,
    method: 'get',
    headers:{
      'module': encodeURIComponent('删除')
    }
  })
}
//  采购退货 生成出库单
export const purchaseReturnOutStockBill = (params) => {
  const url = `/purchaseReturn/createOutStockBill/${params.sn}`
  delete params.sn
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('生成出库单')
    }
  })
}
// 采购退货详情  打印
export const purchaseReturnDetailPrint = params => {
  const data = {
    url: `/purchaseReturn/print/${params.sn}/${params.type}/${params.showFlag}`,
    method: 'get',
    headers:{
      'module': encodeURIComponent(params.type == 'INK' ? '喷墨打印' : '针式打印')
    }
  }
  // 喷墨打印
  if (params.type == 'INK') {
    data.responseType = 'blob'
  }
  return axios.request(data)
}
// 采购退货 详情  导出
export const purchaseReturnDetailExport = params => {
  return axios.request({
    url: `/purchaseReturn/excel/${params.sn}/${params.showFlag}`,
    method: 'get',
    responseType: 'blob',
    headers:{
      'module': encodeURIComponent('导出Excel')
    }
  })
}
//  采购退货 完结单据
export const purchaseReturnFinishBill = (params) => {
  const url = `/purchaseReturn/finishBill/${params.sn}`
  delete params.sn
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('完结单据')
    }
  })
}

// 采购退货不同步
// 新增
export const purchaseReturnSaveByNoSync = (params) => {
  return axios({
    url: '/purchaseReturn/saveByNoSync',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('新增')
    }
  })
}

// 分页列表
export const purchaseReturnQueryNoSyncPage = (params) => {
  const url = `/purchaseReturn/queryNoSyncPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('列表查询')
    }
  })
}

// 出库
export const purchaseReturnOutStock = (params) => {
  return axios({
    url: '/purchaseReturn/outStock',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('出库')
    }
  })
}

// 审核
export const purchaseReturnAudit = (params) => {
  return axios({
    url: '/purchaseReturn/audit',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('审核')
    }
  })
}

//  采购退货 详情 选择产品 列表  分页
export const purchaseReturnPurchaseBillNoSyncList = (params) => {
  const url = `/purchaseReturn/detail/queryPurchaseBillDetailPageNoSync/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('可选产品列表')
    }
  })
}

// 采购退货报表-供应商列表
export const queryReturnSupplierList = (params) => {
  return axios({
    url: '/purchaseTarget/queryReturnSupplierList',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('供应商列表')
    }
  })
}
// 采购退货报表-省仓供应商列表
export const queryPurchaseReturnSupplierList = (params) => {
  return axios({
    url: '/purchaseTarget/queryPurchaseReturnSupplierList',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('省仓供应商列表')
    }
  })
}
