import { axios } from '@/utils/request'
// 散件退货-分页列表
export const reportSparePartsReturnPageList = (params) => {
  const url = `report/reportSparePartsReturn/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('散件退货列表查询')
    }
  })
}
// 散件退货-列表合计
export const reportSparePartsReturnTotal = (params) => {
  return axios({
    url: 'report/reportSparePartsReturn/reportCount',
    data: params,
    method: 'post'
  })
}
// 散件退货-报表导出
export const reportSparePartsReturnExport = params => {
  return axios.request({
    url: `/report/reportSparePartsReturn/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}

// 散件退货明细--分页
export const reportSparePartsReturnDetailPageList = (params) => {
  const url = `report/reportSparePartsReturnDetail/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('散件退货明细列表查询')
    }
  })
}
// 散件退货明细-列表合计
export const reportSparePartsReturnDetailTotal = (params) => {
  return axios({
    url: 'report/reportSparePartsReturnDetail/reportCount',
    data: params,
    method: 'post'
  })
}
// 散件退货明细-报表导出
export const reportSparePartsReturnDetailExport = params => {
  return axios.request({
    url: `/report/reportSparePartsReturnDetail/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}

// 散件入库-分页列表
export const reportBlukPageList = (params) => {
  const url = `report/reportSparePartsPurchase/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('散件入库列表查询')
    }
  })
}
// 散件入库-列表合计
export const reportBlukTotal = (params) => {
  return axios({
    url: 'report/reportSparePartsPurchase/reportCount',
    data: params,
    method: 'post'
  })
}
// 散件入库-报表导出
export const reportBlukExport = params => {
  return axios.request({
    url: `/report/reportSparePartsPurchase/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}

// 散件入库详细-分页列表
export const reportBlukDetailPageList = (params) => {
  const url = `report/reportSparePartsPurchaseDetail/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('散件入库详细列表查询')
    }
  })
}
// 散件入库详细-列表合计
export const reportBlukDetailTotal = (params) => {
  return axios({
    url: 'report/reportSparePartsPurchaseDetail/reportCount',
    data: params,
    method: 'post'
  })
}
// 散件入库详细-报表导出
export const reportBlukDetailExport = params => {
  return axios.request({
    url: `/report/reportSparePartsPurchaseDetail/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}

// 销售退货-分页列表
export const reportSalesReturnPageList = (params) => {
  const url = `report/reportSalesReturnBill/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
// 销售退货-列表合计
export const reportSalesReturnBillTotal = (params) => {
  return axios({
    url: 'report/reportSalesReturnBill/reportCount',
    data: params,
    method: 'post'
  })
}
// 销售退货-报表导出
export const reportSalesReturnExport = params => {
  return axios.request({
    url: `/report/reportSalesReturnBill/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}

// 销售退货明细-分页列表
export const reportSalesReturnDetailPageList = (params) => {
  const url = `report/reportSalesReturnBill/reportDetailPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
// 销售退货明细-列表合计
export const reportSalesReturnDetailTotal = (params) => {
  return axios({
    url: 'report/reportSalesReturnBill/reportDetailCount',
    data: params,
    method: 'post'
  })
}
// 销售退货明细-报表导出
export const reportSalesReturnDetailExport = params => {
  return axios.request({
    url: `/report/reportSalesReturnBill/detailExport`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}

// 急件冲减-分页列表
export const reportUrgentPageList = (params) => {
  const url = `/report/reportUrgent/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('急件冲减列表查询')
    }
  })
}
// 急件冲减-列表合计
export const reportUrgentQueryCount = (params) => {
  return axios({
    url: '/report/reportUrgent/queryCount',
    data: params,
    method: 'post'
  })
}
// 急件冲减-报表导出
export const reportUrgentExport = params => {
  return axios.request({
    url: `/report/reportUrgent/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}

// 急件冲减明细-分页列表
export const reportUrgentDetailQueryPage = (params) => {
  const url = `/report/reportUrgentDetail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('急件冲减明细列表查询')
    }
  })
}
// 急件冲减明细-列表合计
export const reportUrgentDetailQueryCount = (params) => {
  return axios({
    url: '/report/reportUrgentDetail/queryCount',
    data: params,
    method: 'post'
  })
}
// 急件冲减明细-报表导出
export const reportUrgentDetailExport = params => {
  return axios.request({
    url: `/report/reportUrgentDetail/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}

// 店内调出-分页列表
export const reportStoreCallOutPageList = (params) => {
  const url = `report/reportStoreCallOut/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('店内调出列表查询')
    }
  })
}
// 店内调出-列表合计
export const reportStoreCallOutListTotal = (params) => {
  return axios({
    url: 'report/reportStoreCallOut/reportCount',
    data: params,
    method: 'post'
  })
}
// 店内调出-报表导出
export const reportStoreCallOutExport = params => {
  return axios.request({
    url: `/report/reportStoreCallOut/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}
// 店内调出明细-分页列表
export const reportStoreCallOutDetailList = (params) => {
  const url = `report/reportStoreCallOut/reportDetailPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('店内调出明细列表查询')
    }
  })
}

// 店内调出明细-列表合计
export const reportStoreCallOutDetailTotal = (params) => {
  return axios({
    url: 'report/reportStoreCallOut/reportDetailCount',
    data: params,
    method: 'post'
  })
}
// 店内调出明细-报表导出
export const reportStoreCallOutDetailExport = params => {
  return axios.request({
    url: `/report/reportStoreCallOut/detailExport`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}

// 连锁收发存报表-分页列表
export const linkageReportPageList = (params) => {
  const url = `report/reportStockPutOut/linkageReportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
// 连锁收发存报表-列表合计
export const linkageReportPageTotal = (params) => {
  return axios({
    url: 'report/reportStockPutOut/linkageReportCount',
    data: params,
    method: 'post'
  })
}
// 连锁收发存报表  导出
export const reportChainStockPutOutExport = params => {
  return axios.request({
    url: `/report/reportStockPutOut/exportLinkageReport`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
// 收发存报表-分页列表
export const reportPageList = (params) => {
  const url = `report/reportStockPutOut/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
// 收发存报表-列表合计
export const linkageReportTotal = (params) => {
  return axios({
    url: 'report/reportStockPutOut/linkageReportCount',
    data: params,
    method: 'post'
  })
}
// 收发存报表-列表合计
export const reportStockPutOutCount = (params) => {
  return axios({
    url: 'report/reportStockPutOut/reportCount',
    data: params,
    method: 'post'
  })
}
// 收发存报表  导出
export const reportStockPutOutExport = params => {
  return axios.request({
    url: `/report/reportStockPutOut/exportReport`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}
// 大客户报表-分页列表
export const reportBigCustomerList = (params) => {
  const url = `report/reportBigCustomer/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
// 大客户报表-列表合计
export const reportBigCustomerCount = (params) => {
  return axios({
    url: 'report/reportBigCustomer/reportCount',
    data: params,
    method: 'post'
  })
}
// 连锁大客户报表-分页列表
export const reportBigCustomerLinkageList = (params) => {
  const url = `report/reportBigCustomer/linkageReportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
// 连锁大客户报表-列表合计
export const reportBigCustomerLinkageCount = (params) => {
  return axios({
    url: 'report/reportBigCustomer/linkageReportCount',
    data: params,
    method: 'post'
  })
}
// 连锁销售报表-分页列表
export const reportChainSalesBillList = (params) => {
  const url = `/report/reportSalesBill/linkageReportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('连锁销售报表列表查询')
    }
  })
}
// 连锁销售报表-列表合计
export const reportChainSalesBillCount = (params) => {
  return axios({
    url: '/report/reportSalesBill/linkageReportCount',
    data: params,
    method: 'post'
  })
}
// 连锁销售明细报表-分页列表
export const reportChainSalesBillDetailList = (params) => {
  const url = `/report/reportSalesBill/linkageReportDetailPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('连锁销售明细报表列表查询')
    }
  })
}
// 连锁销售明细报表-列表合计
export const reportChainSalesBillDetailCount = (params) => {
  return axios({
    url: '/report/reportSalesBill/linkageReportDetailCount',
    data: params,
    method: 'post'
  })
}
// 销售报表-分页列表
export const reportSalesBillList = (params) => {
  const url = `/report/reportSalesBill/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('销售报表列表查询')
    }
  })
}
// 销售报表-列表合计
export const reportSalesBillCount = (params) => {
  return axios({
    url: '/report/reportSalesBill/reportCount',
    data: params,
    method: 'post'
  })
}
// 销售明细报表-分页列表
export const reportSalesBillDetailList = (params) => {
  const url = `/report/reportSalesBill/reportDetailPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('销售明细报表列表查询')
    }
  })
}
// 销售明细报表-列表合计
export const reportSalesBillDetailCount = (params) => {
  return axios({
    url: '/report/reportSalesBill/reportDetailCount',
    data: params,
    method: 'post'
  })
}
// 连锁店
export const linkageGroupList = (params) => {
  return axios({
    url: '/report/linkageGroup/findListByDealerSn',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('连锁店列表查询')
    }
  })
}
// 销售报表  导出
export const reportSalesBillExport = params => {
  return axios.request({
    url: `/report/reportSalesBill/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}
// 销售明细报表  导出
export const reportSalesBillDetailExport = params => {
  return axios.request({
    url: `/report/reportSalesBill/detailExport`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}
// 盘点报表  盘点单报表 列表 分页
export const reportCheckWarehouseList = (params) => {
  const url = `/report/reportCheckWarehouse/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('盘点单列表查询')
    }
  })
}
// 盘点报表  盘点单报表 合计
export const reportCheckWarehouseCount = (params) => {
  return axios({
    url: '/report/reportCheckWarehouse/reportCount',
    data: params,
    method: 'post'
  })
}
// 盘点报表  盘点明细报表 列表 分页
export const reportCheckWarehouseDetailList = (params) => {
  const url = `/report/reportCheckWarehouse/reportDetailPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('盘点单明细列表查询')
    }
  })
}
// 盘点报表  盘点明细报表 合计
export const reportCheckWarehouseDetailCount = (params) => {
  return axios({
    url: '/report/reportCheckWarehouse/reportDetailCount',
    data: params,
    method: 'post'
  })
}
// 采购入库报表  采购入库单报表 列表 分页
export const reportReceivingBillList = (params) => {
  const url = `/report/reportReceivingBill/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('采购入库单列表查询')
    }
  })
}
// 采购入库报表  采购入库单报表 合计
export const reportReceivingBillCount = (params) => {
  return axios({
    url: '/report/reportReceivingBill/reportCount',
    data: params,
    method: 'post'
  })
}
// 采购入库报表  采购入库单报表  导出
export const reportReceivingBillExport = params => {
  return axios.request({
    url: `/report/reportReceivingBill/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}
// 采购入库报表  采购入库明细报表 列表 分页
export const reportReceivingBillDetailList = (params) => {
  const url = `/report/reportReceivingBill/reportDetailPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('采购入库明细列表查询')
    }
  })
}
// 采购入库报表  采购入库明细报表 合计
export const reportReceivingBillDetailCount = (params) => {
  return axios({
    url: '/report/reportReceivingBill/reportDetailCount',
    data: params,
    method: 'post'
  })
}
// 采购入库报表  采购入库明细报表  导出
export const reportReceivingBillDetailExport = params => {
  return axios.request({
    url: `/report/reportReceivingBill/detailExport`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}
// 连锁采购入库报表  连锁采购入库单报表 列表 分页
export const reportChainReceivingBillList = (params) => {
  const url = `/report/reportReceivingBill/linkageReportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('采购入库列表查询')
    }
  })
}
// 连锁采购入库报表  连锁采购入库单报表 合计
export const reportChainReceivingBillCount = (params) => {
  return axios({
    url: '/report/reportReceivingBill/linkageReportCount',
    data: params,
    method: 'post'
  })
}
// 连锁采购入库报表  连锁采购入库明细报表 列表 分页
export const reportChainReceivingBillDetailList = (params) => {
  const url = `/report/reportReceivingBill/linkageReportDetailPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('采购入库明细列表查询')
    }
  })
}
// 连锁采购入库报表  连锁采购入库明细报表 合计
export const reportChainReceivingBillDetailCount = (params) => {
  return axios({
    url: '/report/reportReceivingBill/linkageReportDetailCount',
    data: params,
    method: 'post'
  })
}
// 客户销售明细报表  列表 分页
export const reportCustomerSalesBillDetailList = (params) => {
  const url = `/report/reportCustomerSalesBillDetail/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
// 客户销售明细报表 合计
export const reportCustomerSalesBillDetailCount = (params) => {
  return axios({
    url: '/report/reportCustomerSalesBillDetail/reportCount',
    data: params,
    method: 'post'
  })
}
// 客户销售明细报表  导出
export const reportCustomerSalesBillDetailExport = params => {
  return axios.request({
    url: `/report/reportCustomerSalesBillDetail/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}
// 连锁销售明细合计报表  列表 不分页
export const reportSalesBillDetailTotalList = (params) => {
  const url = `/report/reportSalesBillDetailTotal/report`
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
// 连锁销售明细合计报表  导出
export const reportSalesBillDetailTotalExport = params => {
  return axios.request({
    url: `/report/reportSalesBillDetailTotal/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}
// 连锁销售退货合计报表  列表 不分页
export const reportSalesReturnBillDetailTotalList = (params) => {
  const url = `/report/reportSalesReturnBillDetailTotal/reportList`
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
// 连锁销售退货合计报表  导出
export const reportSalesReturnBillDetailTotalExport = params => {
  return axios.request({
    url: `/report/reportSalesReturnBillDetailTotal/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}

// 门店收发存汇总报表  列表 不分页
export const reportStockPutOutMonthList = (params) => {
  const url = `/report/reportStockPutOutMonth/report`
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
// 门店收发存汇总报表  导出
export const reportStockPutOutMonthExport = params => {
  return axios.request({
    url: `/report/reportStockPutOutMonth/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}
// 库存导入报表
export const reportStockImportList = (params) => {
  const url = `/report/reportStockImport/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('库存/散件导入列表查询')
    }
  })
}
export const reportStockImportCount = (params) => {
  const url = `/report/reportStockImport/reportCount`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}

// 库存导入详细报表
export const reportStockImportDetailList = (params) => {
  const url = `/report/reportStockImportDetail/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('库存/散件导入明细列表查询')
    }
  })
}
export const reportStockImportDetailCount = (params) => {
  const url = `/report/reportStockImportDetail/reportCount`
  return axios({
    url: url,
    data: params,
    method: 'post'
  })
}
export const reportStockImportDetailExport = (params) => {
  const url = `/report/reportStockImportDetail/export `
  return axios({
    url: url,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}

// 连锁调入明细-分页列表
export const reportAllocLinkagePutDetailList = (params) => {
  const url = `/report/reportAllocLinkagePut/detail/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('连锁调入明细列表查询')
    }
  })
}
// 连锁调入明细-列表合计
export const reportAllocLinkagePutDetailCount = (params) => {
  return axios({
    url: '/report/reportAllocLinkagePut/detail/reportCount',
    data: params,
    method: 'post'
  })
}
// 连锁调入明细-报表导出
export const reportAllocLinkagePutDetailExport = params => {
  return axios.request({
    url: `/report/reportAllocLinkagePut/detail/reportExport`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}

// 连锁调入-分页列表
export const reportAllocLinkagePutList = (params) => {
  const url = `/report/reportAllocLinkagePut/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('连锁调入列表查询')
    }
  })
}
// 连锁调入-列表合计
export const reportAllocLinkagePutCount = (params) => {
  return axios({
    url: '/report/reportAllocLinkagePut/reportCount',
    data: params,
    method: 'post'
  })
}
// 连锁调入-报表导出
export const reportAllocLinkagePutExport = params => {
  return axios.request({
    url: `/report/reportAllocLinkagePut/reportExport`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}

// 连锁调出-分页列表
export const reportAllocLinkageOutList = (params) => {
  const url = `/report/reportAllocLinkageOut/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('连锁调出列表查询')
    }
  })
}
// 连锁调出-列表合计
export const reportAllocLinkageOutCount = (params) => {
  return axios({
    url: '/report/reportAllocLinkageOut/reportCount',
    data: params,
    method: 'post'
  })
}
// 连锁调出-报表导出
export const reportAllocLinkageOutExport = params => {
  return axios.request({
    url: `/report/reportAllocLinkageOut/reportExport`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}
// 连锁调出明细-分页列表
export const reportAllocLinkageOutDetailList = (params) => {
  const url = `/report/reportAllocLinkageOut/detail/reportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('连锁调出明细列表查询')
    }
  })
}
// 连锁调出明细-列表合计
export const reportAllocLinkageOutDetailCount = (params) => {
  return axios({
    url: '/report/reportAllocLinkageOut/detail/reportCount',
    data: params,
    method: 'post'
  })
}
// 连锁调出明细-报表导出
export const reportAllocLinkageOutDetailExport = params => {
  return axios.request({
    url: `/report/reportAllocLinkageOut/detail/reportExport`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}

// 采购退货报表-分页列表
export const purchaseReturnList = (params) => {
  const url = `/report/purchaseReturn/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('采购退货单列表查询')
    }
  })
}

// 采购退货报表-列表合计
export const purchaseReturnQueryCount = (params) => {
  return axios({
    url: '/report/purchaseReturn/queryCount',
    data: params,
    method: 'post'
  })
}
// 采购退货报表-导出
export const purchaseReturnExport = params => {
  return axios.request({
    url: `/report/purchaseReturn/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}

// 采购明细退货报表-分页列表
export const purchaseReturnDetailList = (params) => {
  const url = `/report/purchaseReturnDetail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('采购退货明细列表查询')
    }
  })
}

// 采购明细退货报表-列表合计
export const purchaseReturnDetailQueryCount = (params) => {
  return axios({
    url: '/report/purchaseReturnDetail/queryCount',
    data: params,
    method: 'post'
  })
}
// 采购明细退货报表-导出
export const purchaseReturnDetailExport = params => {
  return axios.request({
    url: `/report/purchaseReturnDetail/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}

/*
** 销售缺货报表
*/

// 销售缺货报表-列表
export const salesOosQueryList = (params) => {
  const url = `/salesOos/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
// 销售缺货报表-详情列表
export const salesOosQueryDetailList = (params) => {
  const url = `/salesOos/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('详情列表查询')
    }
  })
}
// 销售缺货报表-导出
export const salesOosExport = params => {
  return axios.request({
    url: `/salesOos/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}
