import { axios } from '@/utils/request'

//  散件采购（入库）列表  分页
export const sparePartsPurList = (params) => {
  const url = `/sparePartsPur/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
//  散件采购（入库） 列表 合计
export const sparePartsPurCount = (params) => {
  return axios({
    url: '/sparePartsPur/queryCount',
    data: params,
    method: 'post'
  })
}
//  散件采购（入库） 新增
export const sparePartsPurSave = (params) => {
  return axios({
    url: '/sparePartsPur/save',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('新增')
    }
  })
}
//  散件采购（入库） 提交
export const sparePartsPurSubmit = (params) => {
  return axios({
    url: '/sparePartsPur/submit',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('提交')
    }
  })
}
//  散件采购（入库） 入库
export const sparePartsPurPut = (params) => {
  return axios({
    url: '/sparePartsPur/put',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('入库')
    }
  })
}
//  散件采购（入库） 删除
export const sparePartsPurDel = (params) => {
  return axios({
    url: `/sparePartsPur/delete/${params.id}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('删除')
    }
  })
}
// 清空列表
export const sparePartsPurDeleteAll = (params) => {
  return axios({
    url: `/sparePartsPur/detail/deleteAll/${params.sn}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('清空列表')
    }
  })
}
//  散件采购（入库） 导出
export const sparePartsPurExport = (params) => {
  return axios({
    url: '/sparePartsPur/exportExcel',
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出')
    }
  })
}
//  散件采购（入库） 详情
export const sparePartsPurDetail = (params) => {
  return axios({
    url: `/sparePartsPur/findById/${params.id}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('基础信息')
    }
  })
}
export const sparePartsPurDetailBySn = (params) => {
  return axios({
    url: `/sparePartsPur/findBySn/${params.sn}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('基础信息')
    }
  })
}
//  散件采购（入库）详情列表  分页
export const sparePartsPurDetailList = (params) => {
  const url = `/sparePartsPur/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('详情列表查询')
    }
  })
}
//  散件采购（入库）详情列表  分页
export const sparePartsPurDetailFinishList = (params) => {
  const url = `/sparePartsPur/detail/queryFinishPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('可选列表查询')
    }
  })
}
//  散件采购（入库） 详情列表 合计
export const sparePartsPurDetailCount = (params) => {
  return axios({
    url: '/sparePartsPur/detail/queryCount',
    data: params,
    method: 'post'
  })
}
//  散件采购（入库） 详情列表 保存
export const sparePartsPurDetailSave = (params) => {
  return axios({
    url: '/sparePartsPur/detail/save',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('详情列表保存')
    }
  })
}
//  散件采购（入库） 详情列表 删除
export const sparePartsPurDetailDel = (params) => {
  return axios({
    url: `/sparePartsPur/detail/delete/${params.id}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('详情列表删除')
    }
  })
}
// 散件采购（入库） 详情  打印
export const sparePartsPurDetailPrint = params => {
  const data = {
    url: `sparePartsPur/print/${params.sn}/${params.type}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('详情打印')
    }
  }
  // 喷墨打印
  if (params.type == 'INK') {
    data.responseType = 'blob'
  }
  return axios.request(data)
}
// 散件入库导入确认
export const sparePartsPurDetailInsertBatch = (params) => {
  return axios({
    url: '/sparePartsPur/detail/insertBatch',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('确认导入')
    }
  })
}
// 导出错误项
export const sparePartsPurExportErrorLine = (params) => {
  return axios({
    url: '/sparePartsPur/detail/exportErrorLine',
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出错误项')
    }
  })
}
